Bug 3432

Summary: Comments on downloads.maemo.org should automatically contain version number
Product: [Websites] maemo.org Website Reporter: Andrew Flegg <andrew>
Component: DownloadsAssignee: Aslan Venejoki <aslan.venejoki>
Status: NEW QA Contact: downloads <downloads>
Severity: enhancement    
Priority: High CC: eero.tamminen, quim.gil, tuukka.tolvanen
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: Windows   
URL: http://maemo.org/downloads/product/PC/tablet-encode/

Description Andrew Flegg (reporter) maemo.org 2008-07-10 12:03:00 UTC
STEPS TO REPRODUCE THE PROBLEM:
1) Go to: http://maemo.org/downloads/product/PC/tablet-encode/
2) View comment by chmac.

EXPECTED OUTCOME:
Header of the comment would contain a message like "Made against v2.18" or a
footer appended to the message along the lines of: "This comment was made
against an earlier version of this application (v2.18)"

ACTUAL OUTCOME:
Comment about broken GUI still seems relevant to latest version which has fixed
GUI crashes which could occur in some cases.

REPRODUCIBILITY:
always

OTHER COMMENTS:
Either the meta-data of the comment should contain "against v2.18" - i.e. the
current version when the comment was made. Or, it could not be displayed and -
when a later version is released - the comment appears with a footnote as
described above.


User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9)
Gecko/2008052906 Firefox/3.0
Comment 1 tuukka.tolvanen nokia 2008-07-23 00:16:37 UTC
You don't know that the commenter is using an up-to-date version unless they
mention it, so an automatic "Made against v2.18" based on the latest available
version at the time could be misleading. Perhaps something along the lines of
"The following comments were posted before the release of version 2.19:", or,
just make sure the "Changes" section comes with a date. (The "Updated" date up
top is earlier than the comment date which given the context in this bug seems
odd?)
Comment 2 Andrew Flegg (reporter) maemo.org 2008-07-23 00:28:31 UTC
Even a "this comment was made before the current release" would suffice. This,
combined with #3460, would be sufficient I think.

The "updated" date seems to be another bug - raised as #3485.
Comment 3 Quim Gil nokia 2008-07-23 09:33:05 UTC
I also have my doubts about any automatic reference to dates or versions. If a
user complains about X an the 23 new updates are released, as a reader I still
have no clue whether the complaint was addressed.

Instead having the developer or someone commenting "This is now fixed" in the
very same thread would be much more useful. And human.

If people could get CCed on new comments on the apps they commented, the
original reporter could come back and say "Thank you! Just downloaded the last
version and it rocks!" Verrry nice.
Comment 4 Henri Bergius 2008-07-30 15:22:49 UTC
The data model we have in n.n.comments would allow commenting to comments
(threaded discussion), but current UI does not. Should we start working on
this?
Comment 5 Niels Breet maemo.org 2008-07-30 16:07:55 UTC
(In reply to comment #4)
> The data model we have in n.n.comments would allow commenting to comments
> (threaded discussion), but current UI does not. Should we start working on
> this?
> 

I think that would be nice.

I have experimented on internal with adding the version number to the comment,
but that still leaves you with version numbers without a context(of what is
fixed in a release). But on the other hand it is a good indicator for people
who do know?

Maybe adding both would be a good thing here?
Comment 6 Eero Tamminen nokia 2009-02-12 11:15:30 UTC
> Either the meta-data of the comment should contain "against v2.18" - i.e. the
> current version when the comment was made. Or, it could not be displayed and -
> when a later version is released - the comment appears with a footnote as
> described above.

Maybe there could be a drop down list with all the release numbers for the
package with "unknown" entry as the default and version numbers ordered from
latest to oldest.  If commenter doesn't change "unknown" to a real version
number, there would be note like "vX.Y was latest version in <maemo release
name> when this comment was made".